# Visualization
TKV3d
StdSelect

# StdSelect_BRepHilighter Class Reference

Tool to manage hilight of BRepOwners during the selection process
-> Built with a ViewSelector3d.
-> Can hilight all the detected elements at the mouse position or
just the closest one.
How Use It:
TheSelector -> SelectPix (Xmouse,YMouse);
TheBRepHilighter->Process ();
When good choice
toto = TheSelector->LastPicked();
.

`#include <StdSelect_BRepHilighter.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StdSelect_BRepHilighter ()
Standard_EXPORT | StdSelect_BRepHilighter (const Handle(StdSelect_ViewerSelector3d)&aSelector, const Handle(V3d_Viewer)&aViewer, const Quantity_NameOfColor acolor=Quantity_NOC_INDIANRED3, const StdSelect_TypeOfResult aType=StdSelect_TOR_SIMPLE)
Standard_EXPORT void | Set (const Handle(StdSelect_ViewerSelector3d)&aSelector)
Standard_EXPORT void | Set (const Handle(V3d_Viewer)&aViewer)
Standard_EXPORT void | Set (const Quantity_NameOfColor acolor)
Standard_EXPORT void | Set (const StdSelect_TypeOfResult atype)
Standard_EXPORT void | Process ()
| updates the viewer with the selection.
Standard_EXPORT void | Process (const Handle(V3d_View)&aView, const Standard_Boolean DoubleBuffer=Standard_False)
| updates only the view with the selection. The updating will be made using immediate drawing which is far quicker.
Standard_EXPORT void | Clear ()
| Clears the hilight structures which were created during the selection action; must me called after each selection loop; .
Standard_EXPORT const Handle_Prs3d_Drawer & | Drawer () const

## Private Member Functions

Standard_EXPORT void | Update ()
Standard_EXPORT void | Update (const Handle(V3d_View)&aView, const Standard_Boolean DoubleBuffer=Standard_False)

## Private Attributes

Handle_StdSelect_ViewerSelector3d | myselector
Handle_V3d_Viewer | myviewer
Quantity_NameOfColor | mycolor
Handle_Prs3d_Drawer | mydrwr
StdSelect_TypeOfResult | mytype
TColStd_MapOfInteger | myold
TColStd_MapOfInteger | mynew
StdSelect_IndexedDataMapOfOwnerPrs | myhimap
Standard_Integer | mynbpick
Standard_Integer | mylastindex
Handle_Visual3d_TransientManager | myManager

## Constructor & Destructor Documentation

Standard_EXPORT StdSelect_BRepHilighter::StdSelect_BRepHilighter | ( |  | ) |

Standard_EXPORT StdSelect_BRepHilighter::StdSelect_BRepHilighter | ( | const Handle(StdSelect_ViewerSelector3d)& | aSelector,
|  | const Handle(V3d_Viewer)& | aViewer,
|  | const Quantity_NameOfColor | acolor = `Quantity_NOC_INDIANRED3`,
|  | const StdSelect_TypeOfResult | aType = `StdSelect_TOR_SIMPLE`
| ) |

## Member Function Documentation

Standard_EXPORT void StdSelect_BRepHilighter::Clear | ( |  | ) |

Standard_EXPORT const Handle_Prs3d_Drawer& StdSelect_BRepHilighter::Drawer | ( |  | ) | const

void StdSelect_BRepHilighter::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StdSelect_BRepHilighter::operator new | ( | size_t | size | ) | `[inline]`

void* StdSelect_BRepHilighter::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void StdSelect_BRepHilighter::Process | ( | const Handle(V3d_View)& | aView,
|  | const Standard_Boolean | DoubleBuffer = `Standard_False`
| ) |

Standard_EXPORT void StdSelect_BRepHilighter::Process | ( |  | ) |

Standard_EXPORT void StdSelect_BRepHilighter::Set | ( | const StdSelect_TypeOfResult | atype | ) |

Standard_EXPORT void StdSelect_BRepHilighter::Set | ( | const Quantity_NameOfColor | acolor | ) |

Standard_EXPORT void StdSelect_BRepHilighter::Set | ( | const Handle(V3d_Viewer)& | aViewer | ) |

Standard_EXPORT void StdSelect_BRepHilighter::Set | ( | const Handle(StdSelect_ViewerSelector3d)& | aSelector | ) |

Standard_EXPORT void StdSelect_BRepHilighter::Update | ( | const Handle(V3d_View)& | aView,
|  | const Standard_Boolean | DoubleBuffer = `Standard_False`
| ) | `[private]`

Standard_EXPORT void StdSelect_BRepHilighter::Update | ( |  | ) | `[private]`

## Field Documentation

Quantity_NameOfColor StdSelect_BRepHilighter::mycolor `[private]`

Handle_Prs3d_Drawer StdSelect_BRepHilighter::mydrwr `[private]`

StdSelect_IndexedDataMapOfOwnerPrs StdSelect_BRepHilighter::myhimap `[private]`

Standard_Integer StdSelect_BRepHilighter::mylastindex `[private]`

Handle_Visual3d_TransientManager StdSelect_BRepHilighter::myManager `[private]`

Standard_Integer StdSelect_BRepHilighter::mynbpick `[private]`

TColStd_MapOfInteger StdSelect_BRepHilighter::mynew `[private]`

TColStd_MapOfInteger StdSelect_BRepHilighter::myold `[private]`

Handle_StdSelect_ViewerSelector3d StdSelect_BRepHilighter::myselector `[private]`

StdSelect_TypeOfResult StdSelect_BRepHilighter::mytype `[private]`

Handle_V3d_Viewer StdSelect_BRepHilighter::myviewer `[private]`

The documentation for this class was generated from the following file:

- StdSelect_BRepHilighter.hxx